View Issue Details

IDCategoryLast Update
0004549bugs2015-09-18 15:14
ReportercolinfAssigned Tocth103 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0004549: [PATCH] <Ctrl>+scroll wheel zooms oppositely in timeline rulers from main editor pane.
DescriptionAs noted by the_CLA on IRC earlier today.
Additional InformationTrivial patch attached.
TagsNo tags attached.

Activities

2011-12-09 18:16

 

rulers-reverse-scroll.patch (480 bytes)
Index: gtk2_ardour/editor_rulers.cc
===================================================================
--- gtk2_ardour/editor_rulers.cc	(revision 10948)
+++ gtk2_ardour/editor_rulers.cc	(working copy)
@@ -178,12 +178,12 @@
 
 	switch (direction) {
 	case GDK_SCROLL_UP:
-		temporal_zoom_step (true);
+		temporal_zoom_step (false);
 		handled = true;
 		break;
 
 	case GDK_SCROLL_DOWN:
-		temporal_zoom_step (false);
+		temporal_zoom_step (true);
 		handled = true;
 		break;
 

cth103

2011-12-09 18:22

administrator   ~0012347

Applied, thanks.

cth103

2011-12-09 18:35

administrator   ~0012348

Patch works in A2 as well; targeting at 2.8.13.

paul

2011-12-21 02:02

administrator   ~0012433

see notes. all done.

colinf

2015-09-18 15:14

updater   ~0017264

Closing old issues reported by me: these have long since been fixed.

Issue History

Date Modified Username Field Change
2011-12-09 18:16 colinf New Issue
2011-12-09 18:16 colinf File Added: rulers-reverse-scroll.patch
2011-12-09 18:22 cth103 cost => 0.00
2011-12-09 18:22 cth103 Note Added: 0012347
2011-12-09 18:22 cth103 Status new => resolved
2011-12-09 18:22 cth103 Resolution open => fixed
2011-12-09 18:22 cth103 Assigned To => cth103
2011-12-09 18:35 cth103 Note Added: 0012348
2011-12-09 18:35 cth103 Status resolved => acknowledged
2011-12-09 18:35 cth103 Target Version => 2.8.13
2011-12-21 02:02 paul Note Added: 0012433
2011-12-21 02:02 paul Status acknowledged => resolved
2015-09-18 15:14 colinf Note Added: 0017264
2015-09-18 15:14 colinf Status resolved => closed